## Struct exception_handler

boost::log::sources::exception_handler — Exception handler support feature.

## Synopsis

    // In header: <boost/log/sources/exception_handler_feature.hpp>

    struct exception_handler {
      // member classes/structs/unions
      template<typename BaseT>
      struct apply {
        // types
        typedef basic_exception_handler_logger< BaseT > type;
      };
    };

## Description

The logger with this feature will provide an additional method to install an exception handler functional object. This functional object will be called if during either opening or pushing a record an exception is thrown from the logging core.